/*disable mouse pointer: */
* {
  cursor: none !important;
  pointer-events: none !important;
}

/*attempt to make div below instructions fill avalable vertical space; see https://stackoverflow.com/a/28771764 */
body {
  height: 100%;
}

html {
  background-color: white;
  color: black;
  font-family: 'Trebuchet MS', Verdana, Calibri, Tahoma, Helvetica, sans-serif; 
  /*see https://www.aleksandrhovhannisyan.com/blog/use-rems-for-font-size/
    (see also https://css-tricks.com/accessible-font-sizing-explained/ )
  */
  --font-size-sm: 0.75rem;   /* 12px */
  --font-size-base: 1rem;    /* 16px, base */
  --font-size-md: 1.25rem;   /* 20px */
  --font-size-lg: 1.5rem;    /* 24px */
  --font-size-xl: 1.75rem;   /* 28px */
  --font-size-xxl: 2rem;     /* 32px */
  --font-size-xxxl: 2.25rem; /* 36px */

  --eu-background-colour: #004494;
  --button-border-width: 3px;
  --button-border-colour: var(--eu-background-colour);
  --link-focus-color: gold;
  --button-border-colour-focus: var(--link-focus-color);

  --header-height: 6rem;
  --footer-height: 12rem;

  --img-link-outline-width: 3px;
}


body {
  font-size: var(--font-size-base);
  display: flex;
  flex-direction: column;
}

header {
  font-size: var(--font-size-lg);
  padding: 10px 10px 4px 10px;
  height: var(--header-height);
}
footer {
  padding: 10px;
  height: var(--footer-height);
}

div#instructions {
  padding: 4px 10px;
}

header, footer, div#instructions {
  background-color: var(--eu-background-colour);
  color: white;
}

footer a { background-color: transparent; color: white; }

main a:link, main button {
  color: var(--eu-background-colour);
  background-color: white;
  font-size: var(--font-size-base);
  outline: none;
  padding: 2px;
  border-width: var(--button-border-width);
  border-style: solid;
  border-color: var(--button-border-colour);
  text-decoration: none;
}

main a:link:focus, main button:focus {
  border-color: var(--button-border-colour-focus);
}

main {
  background-color: transparent;
  color: black;
}

main button {
  background-color: inherit;
  color: var(--eu-background-colour);
  text-decoration: none;
  display: inline-block;
}

main a:link { 
  background-color: inherit;
  color: var(--eu-background-colour);
}

main a:focus, main button:focus {
  outline: 3px solid var(--link-focus-color);
}

/*fake focus outline for image links (SC 2.4.11)*/
a.image:visited, a.image:hover, a.image:focus, a.image:focus-visible, a.image:active {
  border: none; outline: 0;
}
a.image img, a.image:visited img {
  padding: var(--img-link-outline-width); background-color: transparent;
}
a.image:hover img, a.image:focus img, a.image:focus-visible img, a.image:active img {
  padding: var(--img-link-outline-width); background-color: var(--link-focus-color);
}


div#instructions + div {
  flex-grow: 1;
  /*
  height: calc( 100% - (var(--header-height) + var(--footer-height)));
  */
  /*border: 4px dotted red;*/
}


/*blurry text: */
.blurry { filter: blur(1.6px); }
.not-blurry { filter: blur(0); }

/*grayscale: */
.grayscale {
  filter: grayscale(1);
  color: inherit;
  background-color: transparent;
}
.no-grayscale { filter: grayscale(0); }

/*invert colours: */
div.invert-colours {
  padding: 6px;
}
.invert-colours {
  background-color: white;
  color: black;
  filter: invert(1);
}
.no-invert-colours { filter: invert(0); }


@media only screen and (min-height: 600px) {
  main { min-height: 20rem; }
}
@media only screen and (min-height: 700px) {
  main { min-height: 28rem; }
}
@media only screen and (min-height: 768px) {
  main { min-height: 34rem; }
}

/*
p.blurry-test { color: red; background-color: yellow; }
p.inverted-test { color: red; background-color: yellow; }
p.grayscale-test { color: red; background-color: yellow; }
*/
/*div > p.test { display: none !important; }*/

